--beginvalidatingquery
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[sp_DatabaseVersion]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
    begin
        declare @ver int
        exec @ver=sp_DatabaseVersion
        if (@ver >= 8025)
            select 0, 'Already correct database version'
        else if (@ver = 8024)
            select 1, 'Upgrading database'
        else
            select -1, 'Invalid database version detected'
    end
else
    select -1, 'Not an EPiServer database'
--endvalidatingquery
GO


PRINT N'Dropping Index [IDX_tblContent_fkParentID]...';
GO
--netContentChildrenReferences
DROP INDEX [IDX_tblContent_fkParentID] ON [dbo].[tblContent]
GO

--netContentChildrenReferences
CREATE INDEX [IDX_tblContent_fkParentID] ON [dbo].[tblContent]
(
    [fkParentID] ASC
)
INCLUDE ([fkContentTypeID], [IsLeafNode], [ContentType], [fkMasterLanguageBranchID])
GO

--netContentChildrenReferences
CREATE NONCLUSTERED INDEX [IDX_tblContentLanguage_fkLanguageBranchID2] ON [dbo].[tblContentLanguage]
(
    [fkLanguageBranchID]
)
INCLUDE ([fkContentID], [StartPublish])
GO

ALTER PROCEDURE [dbo].[sp_DatabaseVersion]
AS
	RETURN 8025
GO

PRINT N'Update complete.';
GO
